#include "asprite.h"

void SP_PRW1(int sp,int md)
// 1スプライトの優先度設定(ON/OFFにも使えるよ)
{
int stk;
unshort *s,c;
	stk=B_SUPER(0);
	// スプライトレジスタアドレス計算
	s=SP_ADRS(sp,6);
	//       5432109876543210
	c=(*s)&0b1111111111111100;
	*s=(c|md);
	B_SUPER(stk);
}
